#import "NPC.h"

@implementation NPC

-(id) init {
    self = [super init];

    if (self) {
        bbox = (BoundingBox){
            (Vector3){-1.0f, -1.0f, -1.0f}, 
            (Vector3){2.0f, 2.0f, 2.0f}
        };

        pos = (Vector3){0.0f, 1.0f, 0.0f};

        texture = LoadTexture("resources/textures/star.png");
        printf("%s\n", "initted");
    }

    return self;
}

+(id) new {
    return [[NPC alloc] init];
}

-(void) draw: (Camera3D) c {
    DrawBillboard(c, texture, pos, 4.0f, WHITE);
}

-(BoundingBox) bbox {
    return bbox;
}

-(void) activate {
    printf("%s\n", "wow i did it");
}

@end